> For the complete documentation index, see [llms.txt](https://docs.chiliz.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chiliz.com/pt-br/desenvolver/chiliz-chain-api.md).

# API Chiliz Chain

Referência da API REST da Chiliz Chain: fornecimento circulante de CHZ por bloco, dados de staking por endereço, especificação OpenAPI v3 e docs Swagger em cc-api.chiliz.com.

A API Chiliz Chain fornece acesso a informações úteis sobre o fornecimento de CHZ e a governança, incluindo detalhes do fornecimento circulante até um bloco específico e informações de staking para um determinado endereço.

## Detalhes da API

### URL Base

A URL base da API é `https://cc-api.chiliz.com/`

A documentação Swagger padrão está disponível aqui: <https://cc-api.chiliz.com/docs>

### Autenticação

A API Chiliz Chain usa a [Especificação OpenAPI](https://www.openapis.org/) (OAS) v3.0.3 para definir seus esquemas de segurança.

Consulte a [especificação OAS 3.0](https://spec.openapis.org/oas/v3.0.3.html) para obter detalhes sobre como autenticar, pois métodos de autenticação específicos não são detalhados nesta documentação.

### Formato dos Dados

Todas as requisições e respostas estão no formato JSON.

## Endpoints

### GET /supply

Recupera o fornecimento circulante atual de CHZ até um número de bloco especificado, junto com informações de inflação e deflação específicas do bloco.

## GET /supply

>

```json
{"openapi":"3.0.3","info":{"title":"Chiliz Chain API","version":"0.1.0"},"paths":{"/supply":{"get":{"parameters":[{"schema":{"type":"number"},"in":"query","name":"block","required":false}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"block":{"type":"string"},"totalSupply":{"type":"string"},"blockDeflation":{"type":"string"},"blockInflation":{"type":"string"},"totalBurnedSupply":{"type":"string"},"totalIntroducedSupply":{"type":"string"}},"required":["block","totalSupply","blockDeflation","blockInflation","totalBurnedSupply","totalIntroducedSupply"],"additionalProperties":false}}}}}}}}}
```

### GET /staker-info

Recupera o valor total atual em staking e as recompensas de staking para um endereço específico até um determinado número de epoch, junto com detalhes sobre onde o CHZ está em staking (validadores e valores).

## GET /staker-info

>

```json
{"openapi":"3.0.3","info":{"title":"Chiliz Chain API","version":"0.1.0"},"paths":{"/staker-info":{"get":{"parameters":[{"schema":{"type":"string"},"in":"query","name":"validator","required":false},{"schema":{"type":"string"},"in":"query","name":"staker","required":true},{"schema":{"type":"number"},"in":"query","name":"toEpoch","required":false}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"totalRewards":{"type":"string"},"stakedAmount":{"type":"string"},"allStakes":{"type":"array","items":{"type":"object","properties":{"validator":{"type":"string"},"stakedAmount":{"type":"number"}},"required":["validator","stakedAmount"],"additionalProperties":false}}},"required":["totalRewards","stakedAmount","allStakes"],"additionalProperties":false}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.chiliz.com/pt-br/desenvolver/chiliz-chain-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
